ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

BufWrite

# Documentation

data BufHandle #

Constructors

BufHandle !(Ptr Word8) !FastMutInt Handle |

newBufHandle :: Handle -> IO BufHandle #

bPutChar :: BufHandle -> Char -> IO () #

bPutStr :: BufHandle -> String -> IO () #

bPutFS :: BufHandle -> FastString -> IO () #

bPutFZS :: BufHandle -> FastZString -> IO () #

bPutLitString :: BufHandle -> LitString -> Int -> IO () #

bFlush :: BufHandle -> IO () #